/* $Id: ConnectionMenu.java 125 2011-03-09 09:49:51Z ohura $ */
package smart_gs.menu;

import javax.swing.JMenuItem;
import javax.swing.JMenu;

import smart_gs.swingui.AbstractGSWindow;
import smart_gs.swingui.toolbar.action.CreateLinkActionListener;
import smart_gs.swingui.toolbar.action.ShowLocalViewAction;

public class ConnectionMenu extends JMenu {

	public ConnectionMenu(String title, AbstractGSWindow parent){
		super(title);
		JMenuItem createLink = new JMenuItem("Create Link");
		createLink.addActionListener(new CreateLinkActionListener(parent));
		this.add(createLink);
		
		JMenuItem jump = new JMenuItem("Local View");
		jump.addActionListener(new ShowLocalViewAction(parent));
		this.add(jump);
	}
}
